List agents within a geospatial area.
curl --request GET \
--url 'https://app.smartsend.io/api/v1/website/{team}/agents/carrier/{carrier}/country/{country}/area/latitude/min/{minLatitude}/max/{maxLatitude}/longitude/min/{minLongitude}/max/{maxLongitude}?api_token=' \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.smartsend.io/api/v1/website/{team}/agents/carrier/{carrier}/country/{country}/area/latitude/min/{minLatitude}/max/{maxLatitude}/longitude/min/{minLongitude}/max/{maxLongitude}?api_token="
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.smartsend.io/api/v1/website/{team}/agents/carrier/{carrier}/country/{country}/area/latitude/min/{minLatitude}/max/{maxLatitude}/longitude/min/{minLongitude}/max/{maxLongitude}?api_token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "c5540f2b-3eea-45c4-957a-9d7b53f899e7",
"agent_no": "2134",
"carrier": "postnord",
"company": "Kiosk 88",
"address_line1": "Nordre Frihavnsgade",
"postal_code": "2100",
"city": "Copenhagen",
"country": "DK",
"type": "agent",
"distance": 1.22,
"name_line1": "John",
"name_line2": "Doe",
"address_line2": "88",
"coordinates": {
"latitude": 55.702632904052734,
"longitude": 12.58386516571045
},
"opening_hours": [
{
"opens": "07:30:00",
"closes": "17:30:00"
}
]
}
],
"meta": {
"current_page": "1",
"from": "1",
"path": "https://example.com/api/example",
"per_page": "15",
"to": "15",
"last_page": "10",
"total": "140"
}
}{
"message": "Description of the error will be inserted here.",
"code": "ValidationException",
"id": "",
"errors": {},
"links": {}
}{
"message": "Description of the error will be inserted here.",
"code": "ValidationException",
"id": "",
"errors": {},
"links": {}
}Agents
List agents within a geospatial area.
List carrier agents in country limited by a geospatial area.
GET
/
v1
/
website
/
{team}
/
agents
/
carrier
/
{carrier}
/
country
/
{country}
/
area
/
latitude
/
min
/
{minLatitude}
/
max
/
{maxLatitude}
/
longitude
/
min
/
{minLongitude}
/
max
/
{maxLongitude}
List agents within a geospatial area.
Authorizations
Provide API Token as Bearer authentication
Query API Token
Path Parameters
The domain of the website making the agent lookup request
The carrier code
Available options:
postnord, gls, dao, bifrost, bring ISO3166 Alpha2 country code
Required string length:
2The minimum latitude of the geospatial area
The maximum latitude of the geospatial area
The minimum longitude of the geospatial area
The maximum longitude of the geospatial area
Was this page helpful?
⌘I